## Hardware State Manager \(HSM\)

The Hardware State Manager \(HSM\) monitors and interrogates hardware components in the HPE Cray EX system, tracking hardware state and inventory information, and making it available via REST queries and message bus events when changes occur.

In the HPE Cray EX 1.4 release, v1 of the HSM API has begun its deprecation process in favor of the new HSM v2 API. Refer to the HSM API documentation for more information on the changes.

### Table of Contents

* [Hardware Management Services (HMS) Locking API](Hardware_Management_Services_HMS_Locking_API.md)
  * [NCN and Management Node Locking](NCN_and_Management_Node_Locking.md)
* [Component Groups and Partitions](Component_Groups_and_Partitions.md)
  * [Manage Component Groups](Manage_Component_Groups.md)
  * [Component Group Members](Component_Group_Members.md)
  * [Manage Component Partitions](Manage_Component_Partitions.md)
  * [Component Partition Members](Component_Partition_Members.md)
  * [Component Memberships](Component_Memberships.md)
* [Hardware State Manager (HSM) State and Flag Fields](Hardware_State_Manager_HSM_State_and_Flag_Fields.md)
* [Add a NCN into the HSM Database](Add_a_NCN_into_HSM_Database.md)
* [Add a Switch to the HSM Database](Add_a_Switch_to_the_HSM_Database.md)
* [Manage NodeMaps with HSM](Manage_NodeMaps_with_HSM.md)
